Subject: LINUX/MOO Save My Life! (long & linux related)

From: [email-masked] (Frank Crowell)
Date: Thu, 22 Jul 1993 12:38:48 -0700

Help! Help! 

Since several people  made it sound so easy to build LambdaMOO under Linux,
I said: "sure, lets do it". hahahahahah. *kick Lynx*

Without going through the long explaination heres what i finally got:

ld internal error:
	name:34,256,32; flags:1,288,32;
	verfdefs:44,320,32;\defined in mysterious way
(yes, i am aware that this is also a linux question)

I am compiling unmodified LambdaMOO 1.7.0 under the following setup:
	Linux pl9 from SLS 1.02
	gcc 2.3.3 compiler
	ld (version unknown) Apr 1 5:36 50180 (size)
	i386/20 with math co-processor
	6 M memory
	ST02 scsi controller with 80 M HDU
	(heck i am just building and experimenting; what do
	you expect?)

Naturally I have compiled, linked, and run the same source under 
Sun (god i love Sun *hugs*)

Changes that i made (for linux only):

	1. Makefile: removed -O
		it was driving the gcc compiler crazy
	2. options.h: none
	3. config.h: whatever sh configure did
	4. server.c: hardwared SIGBUS

Build history:
	1. discovered -O problem thru experimentation
	2. found parser errors (huh?); that didnt sound right.
		finally i cleaned everything out again, rebooted,
		& reinstalled the source and went thru the 
		config part, left options.h alone, and ran make.
	3. final run produced identical warnings as on Sun
		(much better)
	4. then went to the loader (see above for funny message)
	5. hard rebooted system and tried make again; same message

So what am i after?

	1. since some people have sucessfully built MOO  under Linux:
		a. did you see the funny message and did you have to
		work around it?  
		b. help! help!

	2. anyone willing to share their binary with me? I need the
		following network options: NS-BSD/NP-TCP

item 2 will allow me to check other things out.
I plan to move the stuff over to a 486 blah blah with blah blah.
Or if its not possible to get the binaries, then tell me what your
setup was that allowed you to build MOO. please. <-- see the magic word?

however item 1 is critical. if i cant build a MOO under SOME linux,
then this activity goes bust.  i already know that emacs in this 
release is broken.  however i am not aware of any problems
in gcc 2.3.3--  and the loader, well what can i say about it?

pleeeez dont tell me to rebuild the kernel with the so-and-so patches.
right now i am having trouble building something that i have compiled
on several machines (all suns of course). yeah, i am sure i would
trust rebuilding the kernel.

-frank (aka maddog at finer muds everywhere)

--
[Maddog's VirtualStuff Emporium          [email-masked]]